Bug 13229 - loading named query fails to do anything
loading named query fails to do anything
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.8
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-29 15:18 EDT by Matt Domsch
Modified: 2007-04-18 12:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-09 10:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-06-29 15:18:49 EDT
I have a query named "dell submitted issues".  When I use the "Load the 
remembered query:", and select this, then click "Submit query", I get 
taken to a page that says:

Loading your query named dell submitted issues... 

Nothing further happens.  Here's the URL it tries to load.

http://bugzilla.redhat.com/bugzilla/buglist.cgi?
product=bugzilla&version=beta2&version=beta1&version=1.0&component=9wm&bug_
status=NEW&bug_status=VERIFIED&bug_status=ASSIGNED&bug_status=REOPENED&bug_
status=RESOLVED&email1=&emailassigned_to1=1&email2=&emailreporter2=1&change
din=&chfieldfrom=&chfieldto=Now&chfieldvalue=&short_desc=&bug_file_loc=&sta
tus_whiteboard=&cmdtype=editnamed&namedcmd=dell+submitted+issues&newqueryna
me=&order=Bug+Number+Ascending&form_name=query

I'm running (gasp!) Internet Explorer 5.01.
Comment 1 Daniel Roesen 2000-10-09 06:22:05 EDT
Same problem here with IE4. Gives just the following page source:

 <TITLE>What a hack.</TITLE>
 Loading your query named <B>RH7 Bugs</B>...
Comment 2 David Lawrence 2000-10-09 09:57:17 EDT
I have confirmed this to be a prolem with the way Bugzilla redirects and IE. It
works fine in all Netscapes I have tested it on. I am looking into it.

Basically Bugzilla is writing the following HTTP header to cause the redirect

----
Content-type: text/html
Refresh 0; URL=query.cgi?blah=blah&blah=blah...

<TITLE>What a hack.</TITLE>
Loading your query named <B>Queryname</B>...
----

For some reason this is not compliant with IE.
Comment 3 David Lawrence 2000-10-09 10:45:43 EDT
Okay, i did some playing around and the Location: header line seems to work fine
with Netscape and IE instead of using the Redirect: header. I am not sure why
this is not compatible but if Location works then I will use it instead. It has
the added side effect of not showing the "Loading saved query" message and just
redisplaying the query page with new query. This is actually more desirable in
my opinion.

Note You need to log in before you can comment on or make changes to this bug.